%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate predicates

Name:           rust-predicates1
Version:        1.0.8
Release:    1%{?dist}
Summary:        Implementation of boolean-valued predicate functions

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/predicates
Source0:         %{crates_source}
Patch:          predicates-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
An implementation of boolean-valued predicate functions.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+difference-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+difference-devel %{_description}

This package contains library source intended for building other packages which
use the "difference" feature of the "%{crate}" crate.

%files       -n %{name}+difference-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+float-cmp-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+float-cmp-devel %{_description}

This package contains library source intended for building other packages which
use the "float-cmp" feature of the "%{crate}" crate.

%files       -n %{name}+float-cmp-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+normalize-line-endings-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+normalize-line-endings-devel %{_description}

This package contains library source intended for building other packages which
use the "normalize-line-endings" feature of the "%{crate}" crate.

%files       -n %{name}+normalize-line-endings-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+regex-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regex-devel %{_description}

This package contains library source intended for building other packages which
use the "regex" feature of the "%{crate}" crate.

%files       -n %{name}+regex-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.8-1
- initial build
